<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('movement_stocks', function (Blueprint $table) {
            $table->foreignId('request_id')->nullable()->after('user_id')->constrained('requests')->nullOnDelete();
        });
    }

    public function down(): void
    {
        Schema::table('movement_stocks', function (Blueprint $table) {
            $table->dropForeign(['request_id']);
        });
    }
};
